# RPM specfile for battstat_applet module
# Generated Fri Jul  6 19:20:41 2001 GMT by Ximian build system
# $Id: bb_do,v 1.119 2001/06/22 18:52:47 mike Exp $
# from $Id: helix-build.conf,v 1.8 2001/05/21 14:04:58 peter Exp $

%define nam	battstat_applet
%define ver	2.0.9

Name:     	battstat_applet
Version: 	2.0.9
Release:	ximian.7
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for SuSE Linux 7.1 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/doc
Source0:	battstat_applet-2.0.9.tar.gz
Patch0:		battstat-no-libapm.patch
Patch1:		battstat-sounds-make.patch
Patch2:		battstat-font-loading.patch
Summary:	Battery status utility
Group:		User Interface/Desktops
Requires:	gnlibs >= 1.2.4
Requires:	gncore >= 1.2.4

%description
A laptop battery status monitor applet for GNOME.

%files
%defattr(-, root, root)
/opt/gnome/bin/*
/opt/gnome/share/applets/Monitors/*
/opt/gnome/share/gnome/help/*
/opt/gnome/share/locale/*/*/*
/opt/gnome/share/pixmaps/*
/etc/opt/gnome/CORBA/servers/*
/etc/opt/gnome/sound/events/*


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n battstat_applet-2.0.9
    ;;
all)
%setup  -q -n battstat_applet-2.0.9
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
%patch -p1 -P 1
%patch -p1 -P 2
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export MAKE RPM_COMMAND DESTDIR
case "$RPM_COMMAND" in
prepare|all)
    autoconf; automake; ./configure --sysconfdir=/etc/opt/gnome --prefix=/opt/gnome --mandir=/opt/gnome/man --infodir=/opt/gnome/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install sysconfdir=${DESTDIR}/etc/opt/gnome prefix=${DESTDIR}/opt/gnome mandir=${DESTDIR}/opt/gnome/man infodir=${DESTDIR}/opt/gnome/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
